Skip to main content
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Updated Calendar Name" }'
{
  "success": true,
  "data": {
    "id": "calendar-uuid-1",
    "name": "Updated Calendar Name",
    "updated_at": "2024-01-15T18:30:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Update Calendar

Update a calendar’s properties.

Endpoint

PUT /api/v1/calendars/{calendar_id}

Path Parameters

calendar_id
string
required
Calendar UUID.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here
Content-Type
string
required
Must be set to application/json

Request Body

name
string
Calendar name.
timezone
string
IANA timezone.
metadata
object
Free-form metadata.

Examples

curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Updated Calendar Name" }'

Response

{
  "success": true,
  "data": {
    "id": "calendar-uuid-1",
    "name": "Updated Calendar Name",
    "updated_at": "2024-01-15T18:30:00Z"
  }
}